Home  ||  Products | Download | Order  ||  Resources | Reviews | Forum | News | Gallery  ||  About


   

Features

Overview
Features
Description
Screenshots
Examples
Compatibility


Resources

Reviews
Comparison
FAQ
Mac Versions
Manual
Discussion Forum
Version History


Try & Buy


Mac Version Selection

 

Depending on the application that you use, you need to install a different version of FocalBlade. The following tables tell you which version of the FocalBlade plugin you should install for which application:

 
Photoshop CS2, CS3, CS4, CS5, CS6, CC
FocalBlade 2
Photoshop Elements 6, 7, 8, 9, 10, 11, 12
FocalBlade 2
Illustrator CS2, CS3, CS4, CS5, CS6, CC
FocalBlade 2
Fireworks CS3, CS4, CS5, CS6
FocalBlade 2
Photoline
FocalBlade 2

Photoshop 7, CS *
FocalBlade 1.01
PowerPC Version
Photoshop Elements 1, 2, 3, 4 *
FocalBlade 1.01
PowerPC Version
Illustrator/ImageReady 7, CS *
FocalBlade 1.01
PowerPC Version
Fireworks MX 2004, 8 *
FocalBlade 1.01
PowerPC Version
Other PowerPC applications *
FocalBlade 1.01
PowerPC Version

* We can provide Version 1.01 of FocalBlade, if you are still using these old applications.

 

Questions? Contact us.



Copyright (c) 2000 - 2013 by Harald Heim